(*********************************************************************

	Cool`Lseqlist`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1996 Thomas Cool *)
(* :Package Version: 1.05 Thomas Cool,  June 1995 *)
(* :Mathematica Version: 2.2.2 *)
(* :Keywords:  partial ordering on lists  *)
(* :Limitation:  *)
(* :Comment: Since 'Order' sorts alphabetically *)
(* :License: use of this software file requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs.
      See the License[] function if Cool`Common` is present. *)


BeginPackage["Cool`Lseqlist`"]


LE::usage = "LE implements the standard x <= y for lists, and allows the determination of a non-dominated subset in z = {x, y, ...}.\nLE[x_List, y_List] or x ~LE~ y gives True or False\nLE[Inner, z_] first sorts sz =Sort[z,LE], and then gives pairwise comparisons of the sublist-elements in sz, with True in the position of sublist sz[i] that is dominated by sublist sz[i-1]\nLE[Remove, z_] removes all domination up to a fixed point\nLE[Remove, Flatten, z_] flattens the result if its length = 1\nLE[Transpose, z_] is the same as transpose, remove, and back transpose\nLE[Transpose, Flatten, z_] may flatten that latter result too, if its length = 1"

LO::usage = "LO[x,t,f] subroutine, if Length[x]=1 then t[x] else f[x]"

Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
