(*********************************************************************

	Cool`Calculus`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 2.01,    July 1997.*)
(* :Mathematica Version: 3.0 *)
(* :Keywords:    *)
(* :Limitation:
*)


(* :License: use of this software file requires a license usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs. See the License[] function. *)

Needs["Cool`Common`"]

BeginPackage["Cool`Calculus`", Join[{}, $Cool]]



Taken::usage = "Taken is a keyword for options in TakeRule and DRule"

Options[DRule] = {Take -> All, Solve -> True, Simplify -> True}

DRule::usage = "DRule[f_, g_, x_, opts___] for \nD[f[... g[... x ...] ...], x]\nFinds g[...x...] with TakeRule, takes the derivative of f[x], and substitutes f or g back into the derivative. If Solve -> True, then f[] itself is substituted, else only g[]."

Options[TakeRule] = {Take -> All, Solve -> True}

TakeRule::usage = "TakeRule[expr, head, term, opts___] takes the first subexpression under head (within expr) which contains term. If option Take -> All (default), then Taken is the subexpression starting with head; if Take -> First then Taken is the first subexpression within head. If Solve -> True (default) then expr is solved for Taken."

Gra::usage = "Gra[f, {x1,...,xn}] gives the gradient consisting of the partial derivatives of f on the x's"

Hes::usage = "Hes[f, {x1,...,xn}] gives the Hessian matrix of d2f / (dxi dxj)"

Jac::usage = "Jac[{f1, ..., fn}, {x1, ..., xn}] gives the Jacobian of the fi with respect to the xi. If option Print -> True, then the matrix is printed. This matrix can always be found in Results[Jac]"

ImplicitD::usage = "ImplicitD[f_List, x_List, xi_Symbol, v_Symbol] solves D[xi, v] using the implicit function theorem, when f is the list of functions, x is the list of dependent variables, xi is selected from x, and v is one of the independent variables. See Jac for input and Results[ImplicitD] for output details"

InverseF::usage = "InverseF[f_, x_Symbol] finds the inverse of f for x. Input can be f = g[x], a pure function or an expression containing x"

Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
