DeclarePackage["Cool`AGE`",
{"Options$SetModel", "IntermediatesQ", "SetModel", "Assign", "Allocation", "AllocationTable", "Equilibrium", "XEq", "FactorXEq", "wEq", "CoEq", "pEq", "vpEq", "UEq", "YEq", "Isoquants", "ContractCurve", "Isoquant", "Isocost", "EdgeworthBowley", "PPC", "PPCBudget", "IndifferenceCurve", "CPCBudget", "CPCDiagram", "CPC", "Results$AGEmodel", "AGEmodel", "AGExample", "PFunction", "UFunction", "$Utility", "$Production", "$Coefficients", "Path"}
]
DeclarePackage["Cool`Arima`",
{"ToStine"}
]
DeclarePackage["Cool`Arrowise`",
{"ArrowiseQ", "BlackArrow", "BlackArrowRules", "HueArrow", "HueArrowRules", "Node", "NodeLabels", "ResetNodes", "Nodes", "ShowAll", "ShowBlackArrows", "ShowHueArrows", "ShowText", "ShowPath"}
]
DeclarePackage["Cool`Calculus`",
{"Taken", "DRule", "TakeRule", "Gra", "Hes", "Jac", "ImplicitD", "InverseF"}
]
DeclarePackage["Cool`Cartel`",
{"Partner", "Cartel", "SetCartel", "FixedLinExp", "Monopoly", "SetMonopoly", "MonopolyModel", "Shares"}
]
DeclarePackage["Cool`CES`",
{"Options$CES", "S", "Ces", "CES", "CESlimitQ", "CESterm", "CEStermRule", "CESContours", "CheckES", "DCES", "SetOptionsCESSector"}
]
DeclarePackage["Cool`Chaindex`",
{"Chain", "ChainIndex", "ChainIndexTable"}
]
DeclarePackage["Cool`Chi2`",
{"FIDLLRStatistic", "BorderSums", "CrossTable", "Options$Chi2", "Chi2", "Chi2CriticalValue", "Chi2PValue", "InverseChi2", "LogLikelihoodRatio", "MLEstimate", "Pearson", "PrEst", "SumLog", "xLogX", "xPowerX", "xLogP"}
]
DeclarePackage["Cool`Common`",
{"Autonomous", "$Cool", "Add", "eluR", "ConstantQ", "Constraint", "Coefficients", "Data", "DefinitionToString", "DefinedQ", "Delta", "Division", "FunctionDomainQ", "EquationQ", "Equations", "Expected", "Expectation", "FoldListReverse", "FoldReverse", "ListOfSymbols", "LessComplicatedQ", "LevelInspect", "License", "MapLevel", "Nullify", "Parameter", "PartList", "PartInspect", "FunctionRangeQ", "RealQ", "RealN", "ReplaceRule", "ReplaceInRule", "RoundAt", "RuleQ", "SequenceToRules", "SmatchQ", "Sorry", "Surprise", "StartValues", "ToName", "ToProperName", "ToSymbol", "ToSequence", "Ratio", "Value"}
]
DeclarePackage["Cool`Context`",
{"AppendToInContext", "ArgumentQ", "BeginContext", "CtE", "ClearInContext", "Contents", "Cure", "DeCure", "DataPackage", "Discard", "KeepVariables", "Load", "NeedsQ", "MessagesQ", "Pralse", "PutIntoContexts", "Query", "RemoveVariables", "ResetAll", "ResetStore", "ResetGraphics", "Scoring", "ShadowHull", "ShowPrivate"}
]
DeclarePackage["Cool`CrossTable`",
{"BorderWeight", "CrossEntries", "CrossEntriesQ", "CrossWeight", "CrossOutliers", "Make", "MakeAndSave", "LLRStatistics", "QuickTest", "ShowCT", "LLRStatisticsOut"}
]
DeclarePackage["Cool`Data`",
{"BeginYear", "BaseYear", "Concepts", "EndYear", "Labels", "Types", "Years", "SumOverSectors", "SumOverConcepts", "SetROC", "NamesList", "ResetData", "Sectors", "SetData", "StartYear", "Store", "Variates", "ToValue"}
]
DeclarePackage["Cool`Databank`",
{"AfterSum", "BeforeSum", "DataMold", "SetDatabank", "Databank", "Explain", "Upd", "ShowData"}
]
DeclarePackage["Cool`Dbase`",
{"CollectDC", "ClearDCVariable", "DCinPath", "PutIntoDC", "FromFile", "VariableNames", "DB", "Dbase", "Options$Dbase", "DbaseContext", "DataContexts", "DbaseFile", "FromFileQ", "DbaseTest", "SelectedVariables"}
]
DeclarePackage["Cool`Decision`",
{"Actions", "AnyRule", "Assign", "BestInRow", "ByNegativeInverseSlope", "Decisions", "DefDec", "DirectRisk", "Draw", "Estimates", "EVPerfectInformation", "GameSplit", "GameToPayOffRules", "LookAt", "Loss", "MinimalExpectedLoss", "OddOrEven", "PayOff", "PayOffTable", "PayOffToRule", "PayOffRuleToGame", "POT", "ProbMat", "Regret", "Reset", "RiskTable", "Risk", "RiskMat", "RT", "States", "ToLoss", "Value2By2"}
]
DeclarePackage["Cool`Declare`",
{"Cool", "UsageInPackage", "DeclarePacs", "CoolPack", "InstallCoolPackStyle", "SearchInPackages"}
]
DeclarePackage["Cool`Dictionary`",
{"Dictionary", "DictionaryQ"}
]
DeclarePackage["Cool`DifData`",
{"DataToCSV", "DataToDif", "DataToDat", "DifToMatrix", "DifToMath", "DifToPackage", "DifBigToM", "MathToUnionDataList", "ToPackWithDat", "ToPackAlone", "PackageFirst"}
]
DeclarePackage["Cool`Economic`Common`",
{"Options$Aggregator", "Aggregator", "Scale", "NumberOfFactors", "AggregatePrice", "Factors", "FactorCoefficients", "FactorPrices", "FactorX", "FactorP", "FactorC", "FactorPowers", "FactorE", "Dual", "FactorLabels", "FactorSettings", "Levels", "AES", "AUES", "AverageInventory", "BudgetEquation", "Capital", "Consumption", "Production", "Utility", "NumberOfSectors", "Resources", "Sector", "Cost", "CostElasticity", "CurrentAggregator", "Demand", "DemandFunction", "DualSelector", "DualQ", "ES", "FactorDemand", "FactorPosition", "Intermediate", "Inventory", "InventoryModel", "DInventory", "OldInventory", "Labour", "LabourProductivity", "MarginalCost", "MarginalProduct", "MarkUp", "MaximalProfit", "MinimalCost", "NPeriodsOfSupply", "Nominal", "Optimal", "Price", "PriceElasticity", "Profit", "Properties", "Quantity", "Supply", "ResetFactors", "Rate", "Revenue", "ResetFactorsExpand", "RateOfInterest", "RTS", "SetFunction", "Turnover", "UnitCost", "UnitFactorCoefficientsQ", "Capacity", "Utilisation", "ValueAdded", "Wealth"}
]
DeclarePackage["Cool`Economic`Graphics`",
{"ConsumerSurplusFilledPlot", "ConsumerSurplusPlot", "ElasticityPlot"}
]
DeclarePackage["Cool`Economic`Macro`",
{"DemandPerCapita", "Debt", "Deficit", "ExampleModel", "Exports", "ExternalAccount", "GDP", "GNP", "Employment", "Inflation", "Imports", "IS", "LM", "ISLMModel", "ISLMPlotPrepare", "LabourMarket", "LIQRule", "LiquidityPreference", "MacroSymbols", "NAIRU", "NAWIRU", "NetExports", "Participation", "PhillipsCurve", "PriceLevel", "PropensityToConsume", "Unemployment", "SelectSolutionRules", "ToMacroSymbols", "UnemploymentLevel", "Vacancy", "ValueAdded", "$ISEquations", "$LMEquations", "$ISLMEquations", "$ISLMParameters", "$LabourMarketEquations", "$LabourMarketParameters", "$Surprises", "$ValueAddedEquations", "$ValueAddedParameters"}
]
DeclarePackage["Cool`Economic`Optimise`",
{"MinimiseCost"}
]
DeclarePackage["Cool`Estimate`",
{"Estats", "Estimate", "ErrorsInVariable", "InverseHessian", "NumberOfEquations", "ModelY", "ReducedFormQ", "NonlinearFitOld"}
]
DeclarePackage["Cool`Finance`",
{"F$ContextPath", "AnnualToDayRate", "AssetBeta", "BondToCashFlows", "CashStocks", "CashCumulate", "CashDifference", "DayToAnnualRate", "DatedDiscountFactors", "DayToDayInterestFactor", "FinanceGO", "InterpolateDF", "IntervalSumFR", "SingleInterpolatedDF", "FOToPeriods", "Portfolio", "PortfolioAnalysis", "PortfolioWeights", "RiskFreeRate", "SecurityMarketLine", "SecurityMarketRegression", "ShowFO", "UsefulCashFlowsDates"}
]
DeclarePackage["Cool`FlatRate`",
{"Amortisation", "InterestPayments", "DebtTrajectory", "AnnuityTable", "CashFlow", "Bullit", "FloatingRateNote", "PrValue", "Annuity", "Yield"}
]
DeclarePackage["Cool`Freight`",
{"LoadFactor", "Operating", "Empty", "Docking", "Forty", "Freight", "FreightExplain", "FreightModel", "FreightEquations", "FreightSymbols", "Haul", "Handling", "Idle", "Lift", "LiftToHaul", "Trip", "LiftsToTrip", "HaulsToTrip", "ToHandling", "HaulsToLifts", "ThroughputModel", "Throughput", "TEUfactor", "TEU", "Twenty", "ToFreightSymbols", "TonnesLifted", "TonnesInTransport", "Vehicle"}
]
DeclarePackage["Cool`GenePro`",
{"Options$Genesis", "ApplyTest", "Birth", "ChoosePointPr", "CrossBreed", "Death", "Duration", "EvaluationPerTest", "Evolve", "ExeQTime", "Fitness", "FitnessTest", "Functions", "Genesis", "MaximumLevel", "Mutate", "Normalize", "NumberOfIndividuals", "NumberOfGenerations", "Generation", "GenerationQ", "NumberOfTests", "Population", "Score", "Seed", "TestPrintQ", "ToNewGeneration"}
]
DeclarePackage["Cool`GenePro`Estimation`",
{"Estimation", "RuleToR2"}
]
DeclarePackage["Cool`Graphics`",
{"Arcs", "Asymptot", "AsymptotAt", "BlockGP", "DashedCircle", "DashingValues", "DisplayFunctionFilter", "EqualProductContour", "EqualSumContour", "EqualValueContour", "LineRasterGP", "ListDensityPlotSquared", "LP2DPlot", "Parallelogram", "ParametricRange", "PhaseDiagram", "PlotLine", "Rainbow", "Triangle", "UtilisationContours"}
]
DeclarePackage["Cool`IADS`",
{"Options$IADS", "IADS", "AIDS", "IADSpartRule", "IADSpart", "IADSpriceRule"}
]
DeclarePackage["Cool`Inference`",
{"ModusPonens", "IfToIf", "IfToAnd", "EFSQ", "IfTransitive", "SelfImplication", "AndSymmetric", "OrSymmetric", "IfAntiSymmetric", "Infer", "InferQ", "InferenceMachine", "InferAndOr", "AndEmbedding", "AxiomToTrue", "Deny", "DenyPattern", "ExpandAxiom", "MachineForm", "ObjectForm", "MetaRuleForm", "ToRule", "PlacedMetaRule", "PlacedProperties", "Place", "PlaceOperator", "PlaceUndo", "LogicalPattern"}
]
DeclarePackage["Cool`Lagrange`",
{"Options$Lagrange", "Lagrange", "MultiplierEquations", "MultiplierStartValues", "Routines", "Routine", "MultiplierSymbol", "Multipliers", "Constraints", "NumberOfVariables", "NumberOfConstraints"}
]
DeclarePackage["Cool`Lags`",
{"ApplyB", "RemoveGlobalB", "B", "LagQ"}
]
DeclarePackage["Cool`Leontief`",
{"IOAnalysis", "IOMatrixQ", "LeontiefInverse", "PositiveMatrixQ", "NonNegativeMatrixQ", "FrobeniusRoot", "FrobeniusVector", "DynamicLeontiefInverse", "DynamicLeontiefMatrix", "RelativeStabilityQ"}
]
DeclarePackage["Cool`LevelCES`",
{"Options$LevelCES", "LevelCESAnalyser", "LevelCES", "LevelCESRule", "LevelCESlevel", "SubCESNoFactors"}
]
DeclarePackage["Cool`List`",
{"AggregatorQ", "Aggregate", "AllQ", "Angle", "Applist", "ArgMaxQ", "ArgMinQ", "Average", "BorderTotals", "BorderTotalsQ", "CasesMatch", "Cumulate", "DataFilter", "DeleteElement", "DeleteVectorPosition", "Dif", "DimensionMap", "DimensionNest", "DimensionForm", "Distance", "ExistQ", "FromMold", "IndexedSort", "InsideTable", "UnitIndex", "JoinNews", "Lag", "Lead", "MapThreadReplace", "Matrix", "MatrixRowSums", "MatrixTimesDiagonal", "MoveToFirst", "NoNulls", "NRadius", "OnlyNulls", "NonZero", "NonZeroQ", "NullQ", "PartOnList", "Places", "PartOnList", "Pick", "Polygamy", "Prima", "UnitChange", "RateOfChange", "Repeat", "Smooth", "StDev", "SymbolArray", "SymbolArrayRule", "TakeElements", "ToPolar", "FromPolar", "TensorForm", "TransposeTensor", "Transposant", "TransposeToFirst", "ToMatrix", "TwoPointsToLine"}
]
DeclarePackage["Cool`Logic`",
{"Analyse", "AnalysePrint", "AndOrEnhance", "AndOrEnhanced", "AndOrRules", "ATOP", "Choose", "ChooseP", "ChoosePrint", "Conclusions", "Conclude", "Decide", "Deduce", "Equivalent", "FromEquationRule", "ToDNForm", "Imp", "RemarkOnParentheses", "Implications", "JoinStatements", "LocateThen", "LogicLab", "LogicalVariables", "Negate", "NotNot", "NotpOrq", "ProperSentence", "P", "Paragraph", "Propositions", "PropositionMeaningRule", "ToAlgebra", "PropVariableList", "Sentences", "TertiumNonDatur", "ToEquationRule", "ToLogic", "ToPropositionalLogic", "TruthTableRule", "TruthValue", "TruthTable"}
]
DeclarePackage["Cool`LP`",
{"NLP", "NLPAnalysis", "RangeOfFeasibility", "RangeOfOptimality", "SimplexTableau", "TransportLP", "AnalyseTransportLP", "TransportLPMatrixQ", "ShadowPrices", "Slack", "Basis", "ProjectLP", "LPPlot", "ToCartersForm", "Vogel"}
]
DeclarePackage["Cool`Lseqlist`",
{"LE", "LO"}
]
DeclarePackage["Cool`Manager`",
{"CurrentOptions", "Dump", "OptionsFilter", "FilterSetOptions", "HoldShell", "Kilroy", "MemoryConstrainedQ", "Redefine", "ReEvaluate", "ResetOptions", "Results", "ResetResults", "SetResults"}
]
DeclarePackage["Cool`Matrices`",
{"BlockDiagonal"}
]
DeclarePackage["Cool`Minimax`",
{"Minimax", "Maximin", "MinimaxSolution", "MinimaxSolutionQ"}
]
DeclarePackage["Cool`MissingData`",
{"ReportOnMissingData"}
]
DeclarePackage["Cool`Model`",
{"$Endogenes", "$Exogenes", "Endogenes", "EndogenesRule", "Exogenes", "LongestLag", "Model", "NSolveYear", "NSolvePeriod", "Solution", "ModelVariates", "HowToModelQ"}
]
DeclarePackage["Cool`Money`",
{"Dollar", "ERBank", "ExchangeRates", "FromDollarRates", "FromDollar", "MoneyConvert", "ToDollar", "$Convert", "ToMoneySymbols", "FromMoneySymbols", "ToExpression[ToString[#] <> \"", "Valuta", "SetExchangeRates"}
]
DeclarePackage["Cool`Neural`",
{"LL", "GG", "CList", "TList", "HintonDiagram", "ToFreemansDataFormat", "TurnList9"}
]
DeclarePackage["Cool`OneLag`",
{"OneLag", "$OneLag"}
]
DeclarePackage["Cool`Operations`",
{"Backorder", "EOQ", "EBQ", "GanttChart", "IndependentDemandInventory", "MaxInventory", "NumberOfOrders", "NewsBoyProblem", "InventoryPolicyCost", "JohnsonsRule", "OrderQuantity", "OrderCost", "StorageCost", "OrderLeadTime", "ReOrderPoint", "ReOrderPointCycle", "SafetyStock", "TargetInventory", "TargetInventoryCycle", "TimeBetweenOrders", "MakeSpan", "JobFlowTime", "PrDemandLessThanLevel", "WorkInProgress"}
]
DeclarePackage["Cool`PackLine`",
{"PackLine", "Pal", "UpString"}
]
DeclarePackage["Cool`PeakLoad`",
{"ImpliedShares", "PeakLoadLegend", "LowHighTariffPlot", "PeakLoad", "PeakLoadCapital", "PeakLoadEquation", "PeakLoadPlot", "UnitCapitalCost"}
]
DeclarePackage["Cool`Physics`",
{"Acceleration", "CenterOfGravity", "Force", "Frequency", "CycleTime", "TorquePlot", "CounterTorquePlot", "Displacement", "DisplacementTime", "Elevator", "Friction", "FrictionShow", "FromNewton", "ToNewton", "Galilei", "Height", "Area", "Volume", "Mass", "VolumeFlow", "MassFlow", "Pressure", "Density", "Moment", "Torque", "Duration", "TonneKilometer", "Kilometer", "NWeight", "Speed", "Work", "Energy", "VolumeTon", "CubicMeter", "GranularCone", "Hooke", "Elongation", "Stress", "Strain", "PendulumGP", "PhPower", "PressureModel", "Resistance", "Silo", "SplitRope", "TwoForces"}
]
DeclarePackage["Cool`Probability`",
{"Bayes", "PROB", "Prob", "PROBToPr", "PrToPROB", "SequentialDraws", "FromEvent", "Universe", "NumberOfElements", "NumberOfFailures", "ProbToFunction", "OrRule", "Options$SequentialDraws", "Prospect", "ProspectEV", "ProspectU", "ProbToPr", "PrToProb", "ToConditionalRule", "ToConditional", "FromConditionalRule", "FromConditional"}
]
DeclarePackage["Cool`Pythagoras`",
{"CircleDefinedByPythagoras", "Pythagoras"}
]
DeclarePackage["Cool`Queue`",
{"AdjustedRates", "BerthOccupancyPlot", "MeanArrivalRate", "MeanServiceRate", "MeanUtilisationRate", "MeanNQueue", "MeanNSystem", "MeanNBeingServed", "MeanProcessTime", "MeanServiceTime", "MeanArrivalTime", "MeanQueueWait", "NQueue", "NSystem", "NBeingServed", "NServers", "MultipleServers", "MultipleServersContour", "SingleServer", "SSFiniteSource", "SingleServerModel", "MultipleServersModel"}
]
DeclarePackage["Cool`ReadData`",
{"ReadData", "ReadDbase", "ReadPackage", "VariablesInPackage"}
]
DeclarePackage["Cool`Sampling`",
{"BinomialSample", "BiNoPars", "BiNoProxy", "Case", "CBiNoProxyInverseN", "CBiNoProxyInverseP", "ControlChart", "CriticalValue", "MDT", "SampleSize", "OCCurve", "AverageOutgoingQuality", "OCCurveInverse", "OCContourPlot", "AlphaBetaGP", "AlphaBetaToLRRange", "SpecialCase"}
]
DeclarePackage["Cool`ShiftCES`",
{"ShiftCES", "NShiftCES", "ShiftCESrhs", "ShiftCESContours"}
]
DeclarePackage["Cool`Shipping`",
{"AgeEffectOnSpeed", "CraneTime", "CubeLaw", "Deadweight", "Demurrage", "Draft", "EquilibriumFreightRate", "EconomicSpeed", "FuelPerDay", "FuelDraftReduction", "GT", "JCurve", "LayTime", "LoadEffectOnSpeed", "MostProfitableSpeed", "MetacentricHeight", "NT", "Port", "RollPeriod", "ShipCharge", "ShipCost", "ShipDraft", "ShipLength", "ShipWidth", "ShipPlot", "ShippingModel", "SlendernessRatio", "TimeSheet", "$TimeCharter", "ToShippingSymbols", "TPI"}
]
DeclarePackage["Cool`ShowPlan`",
{"EventToGraphicsObject", "EventsOrPlansToGraphicsObjects", "BondToPlan", "ShowEvent", "ShowEvents", "PlanToGraphicsObject", "ShowPlan", "ShowPlans", "ShowEventsOrPlans"}
]
DeclarePackage["Cool`Statistics`Common`",
{"Accept", "Reject", "Act", "Est", "Obs", "Dec", "State", "Pr", "Error", "Categories", "BarChartServer", "CNormalInverse", "Correlation", "DivSmallestNonZero", "DegreesOfFreedom", "FrequencyCategories", "FrequencyDispersion", "FrequencyValues", "PrTable", "ID", "MissingToZero", "MultinomialDistribution", "NormalProxy", "LogNormalToNormal", "NormalToLogNormal", "NumberOfStates", "NumberOfActions", "NumberOfDecisions", "NumberOfObservations", "Outliers", "PM", "PML", "PowerOfTheTest", "PrMarginal", "PrBelowOutMean", "ProbabilityMatrix", "ProbabilityMeasureQ", "SubsequentBetaCDF", "Tajuddin", "Test", "TestStatistic", "ToFrequencyDensity", "TValues", "ToBeta", "VariancePr", "WeightUnit", "WeightTotal", "Weight", "WeightSet", "WeightedMean"}
]
DeclarePackage["Cool`Taxes`",
{"AddLinearRates", "AdjustRates", "AverageLevyRatio", "BenefitLine", "Bentham", "CurvedTax", "CurvedTaxRates", "DynamicMarginal", "Exemption", "FindMinimumWage", "GrossToNetRatio", "Indexed", "Levy", "LevyPlot", "MinimumIncome", "MarginalRate", "MinimumWage", "NetIncome", "NetIncomePlot", "PieceWiseLinear", "PieceWiseCurved", "PiecewiseWhich", "Premium", "ReplacementRate", "SetTaxAndPremium", "SolveMinimumWage", "Subsistence", "Tax", "TaxCredit", "TaxDeduction", "TaxRates", "PremiumRates", "TaxOnWage", "Total", "ToPensParade", "WageDensity"}
]
DeclarePackage["Cool`Time`",
{"AnyToStandardDate", "AnyToCalendarDate", "CoordiDate", "DateFormat", "DayFraction", "DateQ", "DateToDays", "DaysToDate", "Du", "F", "FQ", "FDate", "ToFinancialDate", "FromFinancialDate", "FSort", "Ft", "MakeDate", "IntegerToDate", "LeapQ", "NormedDuration", "NoF", "RealToDate", "StringToDate", "Time", "Days", "January", "February", "March", "April", "May", "June", "July", "August", "September", "October", "November", "December"}
]
DeclarePackage["Cool`Tool`",
{"Bank", "Between", "BowElasticity", "ClearFunctionByString", "CombineRules", "DeleteRule", "DQ", "Elasticity", "GrowthRate", "GeneralizedStringTake", "InRange", "InRangeQ", "IntegerSCM", "LinExp", "LogRule", "NestHead", "NIntegrateToFirstZero", "NSolveLinearDynamics", "OnOffFlow", "PaddedString", "PointOfIntersection", "PrintPrepare", "RealRootQ", "RealRoots", "ReplaceByHeadCount", "Logistic", "Slope", "SawTooth", "SimplifyBy", "SimplifyBySolve", "SolveGeneral", "Solve2List", "SolveLHS", "SolveFrom", "SolveFormally", "SolveShow", "SortSameQ", "StringListQ", "StringListPralse", "StringToList", "ToPattern", "ToPiecewise", "ToPiecewiseLinear", "UnPattern", "XXPlusSpace"}
]
DeclarePackage["Cool`Transport`",
{"CrashPlot", "CrashBasedCapacity", "GridCenter", "TripCostMatrix", "CostPerVKM", "CostFrom", "ProfitPerVKM"}
]
DeclarePackage["Cool`TScience`",
{"AirplanePropulsion", "MachToKPH", "BackSideOfTruckGP", "BrakingModel", "BunkerGP", "DiggingPhases", "GrabGP", "BeltGP", "InFlow", "OutFlow", "NetInFlow", "BunkerModel", "EnergyEfficiency", "GantryCraneGP", "ShipGP", "GantryShipShow", "GrabBunkerBeltShow", "GrabBunkerBeltPlot", "GrabLiftForce", "GrabLiftForcePlot", "GrabVolumeFlow", "PipeElevatorCrosssectionPlot", "PipeElevator", "PipeElevatorWidth", "SafetyMargin", "SpecificFuelConsumption", "SpecificEnergyConsumption", "TopplingCraneGP", "TopplingCrane", "TruckGP", "VdVdtPlot", "WeighingBunkerShow", "PayloadDeadweightRatio"}
]
DeclarePackage["Cool`Voting`",
{"StatusQuo", "CheckVote", "BordaField", "Borda", "BordaAnalysis", "DuncanBlackPlot", "ExamplePrefs", "EfficiencyMajority", "GroupOrderQ", "Items", "Pairs", "NPairs", "Pairwise", "PairwiseVoter", "PairwiseField", "PairwiseMajority", "Preferences", "Pref", "PreferencesPlot", "NumberOfItems", "NumberOfVoters", "NPrefOrderQ", "PrefOrderQ", "ListToPref", "ListToGraph", "SetRandomPrefPairs", "NOrderPair", "ListToOrderedPairs", "EfficiencyPairs", "PrefPairsPlot", "PrefPairs", "ListToPrefPairs", "PrefPairsToOrderQ", "PrefPairsToGraph", "PairsToPaths", "PPath", "Condorcet", "SetRandomPreferences", "ShowListGraph", "ShowPrefGraph", "ScoreBoard", "ScoreVote", "Votes", "VotingQ", "ListToPrefOrderQ"}
]
DeclarePackage["Cool`WorldMap`",
{"WesternEurope", "CityPlotCoordinates", "ShowCities", "ShowRoute", "CitiesGO", "RouteGP", "RouteGO", "RouteDistance", "CountryCityQ", "Stage", "SetStage"}
]
DeclarePackage["Cool`$Freight`",
{"ClassRates", "UFC", "Class", "$Freight", "$FreightAfterSum", "$FreightDiagram", "$FreightPars", "LiftCost", "LiftCostAfterSum", "LiftCostBeforeSum", "LiftRevenueAfterSum", "LiftRevenueBeforeSum", "LiftRevenue", "ToLiftCost", "ToLiftRevenue", "TripTo$Trip", "HaulsTo$Trip", "HaulsToLiftCosts", "$Trip", "$TripAfterSum", "$Vehicle"}
]
