(*********************************************************************

	Cool`Economic`Optimise`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 2.01,  June 1997.*)
(* :Mathematica Version: 3.0 *)
(* :Keywords:   Economics, Lagrange *)
(* :Limitation:  *)
(* :License: use of this software file requires a license, usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs. See the License[] function. *)

Needs["Cool`Common`"]

BeginPackage["Cool`Economic`Optimise`", 
Join[{"Cool`Economic`Common`", "Cool`Lagrange`"}, $Cool]]


MinimiseCost::usage = "MinimiseCost[opts___Rule] uses the Lagrange method to minimise px.x subject to Aggregate = f[x] for the current aggregator f. Default Print -> True prints the optimalisation problem. Lagrange options are from Options[Lagrange] or opts. HoldShell is applied to the call of f, also applying opts with defaults ReEvaluate -> False and SetResults -> True."



Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
