(*********************************************************************

	Cool`Minimax`  package


 *********************************************************************)



(* :Author: Thomas Cool *)
(* :Copyright: Copyright 1995 Thomas Cool *)
(* :Package Version: 1.07 Thomas Cool, July 1998*)
(* :Mathematica Version: 3.0.0 *)
(* :Keywords:    *)
(* :License: use of this software file requires a license usually available
      by payment of $10 to Swift account ING.B.NL.2A 3736767 to the name of 
      Thomas Cool, Rotterdamsestraat 69, 2586 GH Scheveningen, Holland.
      Please inquire about the cost of file packs *)

Needs["Cool`Common`"]

BeginPackage["Cool`Minimax`", $Cool]

Minimax::usage = "Minimax[x] gives the minimised maximal loss to the vertical player, where negative values are a revenue. \nThis is only defined for the matrix x for a two player zero-sum game, for pure strategies.\nThe procedure gives Value -> the minimax value, Position -> the positions of that value in the selected columns, and Dimensions -> {# of rows, # of columns} the dimensions of the matrix"

Maximin::usage = "Maximin[x] gives the maximised minimal revenue to the horizontal player (Nature), where positive values are a revenue.\nThis is only defined for the matrix x for a two player zero-sum game, for pure strategies.\nThe procedure gives Value -> the maximin value to the horizontal player, Position -> the positions of that value in the selected rows, and Dimensions -> {# of rows, # of columns} the dimensions of the matrix. \nApplication to y=Transpose[-x] gives the minimax return to the vertical player (though in transposed negative form)."

MinimaxSolution::usage = "MinimaxSolution[x]  for a two player zero-sum game, for pure strategies.\nMatrix x gives the revenue of the vertical player.\nThe procedure compares the strategies of the vertical (minimax) and horizontal (maximin) players. Output consists of MinimaxSolution -> True|False, Value -> value of the game, Position -> its position, and the separate strategic results"

MinimaxSolutionQ::usage = "MinimaxSolutionQ -> True or False, is put out by MinimaxSolution[x_]"



Begin["`Private`"]
End[]
EndPackage[]
Print["This is a crippled package: it contains only the usage statements, no routines. Use of the proper software requires a user license.
See http://www.can.nl/~cool or write to Thomas Cool, Rotterdamsestraat 69, NL-2586 GH Scheveningen, Holland for ordering details"]
